// This program is designed for OKI-E5003 board
// It shows how to read/write to Compact Flash card

#include <ioml67q5003.h>
#include "cf.h"
#include "system.h"
#include  <string.h>

// simple delay
void Delay (unsigned long a) { while (--a!=0); }

extern unsigned short cf_buffer[256];

int main()
{
  // WATCH cf_buffer !!!

  // Freq init
  FreqInit();

  // Init CF
  InitCF();
  Delay(8000);
  // Reset CF
  ResetCF();
  Delay(160000);

  // write block
  memset(&cf_buffer,'a',256);
  WriteBlock(0x1);
  Delay(160000);

  // read block
  memset(&cf_buffer,0,256);
  ReadBlock(0x1);
  Delay(160000);

  // erace block
  EraseBlock(0x1);
  Delay(160000);

  // read block
  ReadBlock(0x1);
  Delay(160000);


  // loop forever
  while(1) {

  }
}
